#ifndef WORK20220325_TEACHASSISTANT_H
#define WORK20220325_TEACHASSISTANT_H

#include "students/Student.h"
#include "teachers/Teacher.h"
#include "students/Graduate.h"

class TeachAssistant : public Graduate, Teacher {
public:
    TeachAssistant(int classId, const Person &person, const std::string &subject, const Teacher &adviser,
                   const std::string &job, const std::string &department);

    TeachAssistant() = delete;

    std::string toString();

    TeachAssistant(const TeachAssistant &teachAssistant);
};


#endif //WORK20220325_TEACHASSISTANT_H
