//
// Created by lensferno on 2022/3/30.
//

#include <sstream>
#include "Teacher.h"

Teacher::Teacher(const Staff &staff, const std::string &title) : Staff(staff), title(title) {}

std::string Teacher::toString() {
    std::stringstream out;
    out
            << Staff::toString() << '\n'
            << "title: " << title << '\n';

    return out.str();
}

Teacher::Teacher(const Teacher &teacher) : Staff(teacher), title(teacher.title) {}
