#ifndef WORK20220325_DATE_H
#define WORK20220325_DATE_H

#include <string>

class Date {
private:
    int year;
    int month;
    int day;
public:
    Date(int year, int month, int day);

    Date() = delete;

    Date(const Date &date);

    int getYear() const;

    int getMonth() const;

    int getDay() const;

    void setDate(int year, int month, int day);

    std::string toString() const;
};


#endif //WORK20220325_DATE_H
