#include <sstream>
#include "TeachAssistant.h"

TeachAssistant::TeachAssistant(int classId, const Person &person, const std::string &subject, const Teacher &adviser,
                               const std::string &job, const std::string &department)
        : Graduate(classId, person, subject, adviser), Teacher(person, job, department), Person(person) {}

std::string TeachAssistant::toString() {
    std::stringstream output;
    output << "[оϢ]" << '\n'
           << Graduate::toString() << '\n'
           << "[ʦϢ]" << '\n'
           << Teacher::toString();
    return output.str();
}

TeachAssistant::TeachAssistant(const TeachAssistant &teachAssistant) : Graduate(teachAssistant), Teacher(teachAssistant), Person(teachAssistant) {}